
# This script is used to fill the database with 300 000 jobs
# In particular, it inserts 15 000 jobs for each job monitors (20)

# Usage:
# fill_db.ps1 firstJobId numberOfJobsToInsert jobMonitorId


########## Parameters ##########

	# Id of first added job
	$firstJobId = $args[0]

	# Number of jobs to add
	$nbJobs = $args[1]

	# Job monitor id
	$jobMonitorId = $args[2]


########## Data to fill the database ##########

	# Id corresponding to failed jobs (~ 1/1000)
	$failedXsq = 552, 1984, 2471, 3654, 4021, 5369, 6697, 7345, 8659, 9654, 10632, 11214, 12943, 13289, 14001
	for ( $i = 0; $i -lt $failedXsq.Count; $i++ )
	{
	  $failedXsq[$i] = $failedXsq[$i] + (3 * $jobMonitorId * ($i+1))
	}
	$failedXsq[0] = 40

	# Extension file
	$extensions = ".mov", ".mxf", ".mp4", ".flv", ".avi"
	$extension = $extensions[$jobMonitorId % 5]

	# Destinations
	$destinations = "0", "0", "0", "0", "0"
	for ( $i = 1; $i -le $destinations.Count; $i++ )
	{
	  $destinations[$i-1] = "file" + $i + "_jm" + $jobMonitorId  + $extension
	}

	# Destination path
	$path = "c:\dest\" + $jobMonitorId



########## Loop to insert jobs ##########

	# Tool used to send job notifications (creation, update) to the server
	$fileExe = "C:\Sources\Multi-Monitoring\tva-final\MultiMonitoring\MultiMonitoring.Tools.Utils\bin\Debug\MultiMonitoring.Tools.Utils.exe"

	$nbJobsInserted = 0
	$i = $firstJobId
	$idFailed = 0

	do
	{
		# MeanByteRate
		$mbr = Get-Random -minimum 1500 -maximum 4000
		$mbr = $mbr / 100.0

		# MeanFrameRate
		$mfr = Get-Random -minimum 2000 -maximum 20000
		$mfr = $mfr / 100.0
		
		$nbJobsInserted++
	 
	 
		# Insert a failed job
		if ($i -eq $failedXsq[$idFailed % 15])
		{
			& $fileExe SendXsquareJobs http://localhost:9018 1 3 $i $jobMonitorId true na $destinations[$i%5] $path "$mbr".replace(".",",") "$mfr".replace(".",",")
			$idFailed++
		}
		
		# Insert a succesful job
		else
		{
			& $fileExe SendXsquareJobs http://localhost:9018 1 3 $i $jobMonitorId false na $destinations[$i%5] $path "$mbr".replace(".",",") "$mfr".replace(".",",")
		}
	 
	 
		$i++

	} while ($nbJobsInserted -lt $nbJobs)
 
 
 
 _db.ps1 firstJobId numberOfJobsToInsert jobMonitorId


########## Parameters ##########

	# Id of first added job
	$firstJobId = $args[0]

	# Number of jobs to add
	$nbJobs = $args[1]

	# Job monitor id
	$jobMonitorId = $args[2]


########## Data to fill the database ##########

	# Id corresponding to failed jobs (~ 1/1000)
	$failedXsq = 552, 1984, 2471, 3654, 4021, 5369, 6697, 7345, 8659, 9654, 10632, 11214, 12943, 13289, 14001
	for ( $i = 0; $i -lt $failedXsq.Count; $i++ )
	{
	  $failedXsq[$i] = $failedXsq[$i] + (3 * $jobMonitorId * ($i+1))
	}
	$failedXsq[0] = 40

	# Extension file
	$extensions = ".mov", ".mxf", ".mp4", ".flv", ".avi"
	$extension = $extensions[$jobMonitorId % 5]

	# Destinations
	$destinations = "0", "0", "0", "0", "0"
	for ( $i = 1; $i -le $destinations.Count; $i++ )
	{
	  $destinations[$i-1] = "file" + $i + "_jm" + $jobMonitorId  + $extension
	}

	# Destination path
	$path = "c:\dest\" + $jobMonitorId



########## Loop to insert jobs ##########

	# Tool used to send job notifications (creation, update) to the server
	$fileExe = "C:\Sources\Multi-Monitoring\tva-final\MultiMonitoring\MultiMonitoring.Tools.Utils\bin\Debug\MultiMonitoring.Tools.Utils.exe"

	$nbJobsInserted = 0
	$i = $firstJobId
	$idFailed = 0

	do
	{
		# MeanByteRate
		$mbr = Get-Random -minimum 1500 -maximum 4000
		$mbr = $mbr / 100.0

		# MeanFrameRate
		$mfr = Get-Random -minimum 2000 -maximum 20000
		$mfr = $mfr / 100.0
		
		$nbJobsInserted++
	 
	 
		# Insert a failed job
		if ($i -eq $failedXsq[$idFailed % 15])
		{
			& $fileExe SendXsquareJobs http://localhost:9018 1 3 $i $jobMonitorId true na $destinations[$i%5] $path "$mbr".replace(".",",") "$mfr".replace(".",",")
			$idFailed++
		}
		
		# Insert a succesful job
		else
		{
			& $fileExe SendXsquareJobs http://localhost:9018 1 3 $i $jobMonitorId false n